@echo off

setlocal
set CURRENT_DIR=%cd%
 
if "%EIAM_HOME%" == "" goto noLoc


if empty%1==empty goto :Usage


set eemHost=%computername%
set username=EiamAdmin
set password=
 


:CheckArg 
 
if empty%1==empty goto :start

set MyArg=%~1
call set eemOption=%MyArg:~0,2%
call set eemValue=%MyArg:~2%
call set eemOption1=%eemOption:~0,1%

if /I "%eemOption1%"=="-" goto :CheckOptions
@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : Invalid Arguments. Run aborted
@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : 
@echo : 
@echo : The Argument prefix "%eemOption1%" is incorrect. It must be "-"  
@echo : Please enter the argument "%MyArg%" correctly and re-run the script
@echo : 
@echo : 
@echo : 

goto :Usage


:CheckOptions

if /I "%eemOption%"=="-h" goto :Usage


if /I "%eemOption%"=="-u" set username=%eemValue%
if /I "%eemOption%"=="-p" set password=%eemValue%
if /I "%eemOption%"=="-e" set eemHost=%eemValue%

shift
goto  :CheckArg 


 
 


 
:start

@echo off 

if NOT empty%password%==empty goto :CallScript

@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : Missing Argument. Run aborted
@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : 
@echo : Eiam passsword is missing. This is required field
@echo : Please enter password using -p option and re-run the script
@echo : 
@echo : 
goto :Usage  


:CallScript

::pushd %IGW_LOC%

del itpamcert.p12
call  "%EIAM_HOME%\bin\safex.exe"   -h %eemHost% -u %username% -p %password% -f Templates\template_itpam_cert.xml
 
@echo off
goto :Bye

 
 


:noLoc
@echo EEM environment is not correctly setup to generate IT Pam certificate
@echo Please run it on the server where EEM is installed.
 
goto Bye


 
 
 

:Usage
:help
@echo :
@echo : This utility is to create IT Pam Certificate file. 
@echo : You must run this utility if you intend to restore 
@echo : ITPAM application instance to a different EEM Server.
@echo :
@echo : This utility must be run from the EEM server you intend
@echo : to restore the ITPAM applicaiton instance 
@echo :
@echo : The certificate file pam.p12 is created in your
@echo :    "%CURRENT_DIR%" 
@echo : and should be copied to your iTechnology folder
@echo :
@echo :   "%IGW_LOC%"
@echo :
@echo :
@echo : eem_itapm_cert -u{username} -p{password} -e{EEM ServerName}
@echo :
@echo : Required Arguments 
@echo :   -p{password}  Required parameter           
@echo :
@echo : Optional Arguments
@echo :   
@echo :   -u{username}      EEM Username - Defaults to EiamAdmin
@echo :   -e{EEM Server} -  Defaults to computername
 
@echo :
@echo : For example
@echo : eem_itpam_cert -uEiamAdmin -pmypassword 
@echo :


:Bye
 